{
  "nombre": "Administrador de Secuencia Nodos",
  "body": [
    {
      "componente": "GenericForm",
      "url": "quo/Engine?paquete=std&clase=Std&metodo=$(metodo)&data=&parametros=$(parametros)",
      "formData": {
        "metodo": "$(metodoUrl)",
        "parametros": {
          "tabla": "tseq",
          "tablaHijo": "",
          "campoId": "TSeqId",
          "cabe": "[$(resultData)]"
        }
      },
      "cerrarAlConfirmarOK": true,
      "mensajeExitoso": "La secuencia fue modificada exitosamente",
      "mensajeError": "No se pudo guardar la secuencia",
      "cantColumnasAncho": 1,
      "fields": [
        {
          "label": "TSeqId",
          "name": "TSeqId",
          "type": "text",
          "visible": true,
          "esId": true
        },
        {
          "label": "Proceso",
          "name": "TPrcId",
          "type": "supercombobox",
          "tabla": "tprc",
          "id": "TPrcId",
          "text": "TPrcNom",
          "value": "",
          "validations": {
            "required": true
          },
          "visible": true,
          "disabled": false
        },
        {
          "label": "Tipo Secuencia",
          "name": "TSeqTip",
          "type": "supercombobox",
          "tabla": "dmn",
          "id": "DmnAbr",
          "text": "DmnDet",
          "dominio": "TIPNOD",
          "value": "",
          "validations": {
            "required": true
          },
          "visible": true,
          "disabled": false
        },
        {
          "label": "Nodo Padre",
          "name": "TNodId",
          "type": "supercombobox",
          "tabla": "tnod",
          "id": "TNodId",
          "text": "TNodNom",
          "dominio": "",
          "otrosCampos": "tnod.TNodNom , tnod.TNodFor , tnod.TNodValRes",
          "whereAdicion": "tnod.TPrcId = $(TPrcId) AND tnod.TNodTip = \"$(TSeqTip)\"",
          "botones": [
            {
              "texto": "Crear Nodo",
              "icono": "add",
              "endpoint": "Engine",
              "type": "dialog",
              "action": {
                "type": "dialog",
                "config": {
                  "location": "structure/",
                  "title": "Creación de un Nuevo Nodo",
                  "action": "creacion",
                  "name": "tnod"
                }
              }
            },
            {
              "texto": "Editar Nodo",
              "icono": "edit",
              "endpoint": "Engine",
              "type": "dialog",
              "action": {
                "type": "dialog",
                "config": {
                  "location": "structure/",
                  "title": "Edición del Nodo",
                  "action": "edicion",
                  "name": "tnod"
                }
              }
            }
          ],
          "value": "",
          "validations": {
            "required": true
          },
          "visible": true,
          "disabled": false
        },
        {
          "disabled": false,
          "label": "Nivel",
          "name": "TSeqNiv",
          "type": "number",
          "validations": {
            "required": true
          },
          "visible": true,
          "esId": false
        },
        {
          "disabled": false,
          "label": "Pos X",
          "name": "TSeqPosX",
          "type": "number",
          "visible": true,
          "esId": false
        },
        {
          "disabled": false,
          "label": "Pos Y",
          "name": "TSeqPosY",
          "type": "number",
          "visible": true,
          "esId": false
        },
        {
          "label": "Siguiente Nodo Si",
          "name": "TSeqSigSi",
          "type": "supercombobox",
          "tabla": "tnod",
          "id": "TNodId",
          "text": "TNodNom",
          "dominio": "",
          "otrosCampos": "",
          "whereAdicion": "tnod.TPrcId = $(TPrcId)",
          "value": "",
          "validations": {
            "required": false
          },
          "visible": "'$(TSeqTip)' != 'RES'",
          "disabled": false
        },
        {
          "label": "Siguiente Nodo No",
          "name": "TSeqSigNo",
          "type": "supercombobox",
          "tabla": "tnod",
          "id": "TNodId",
          "text": "TNodNom",
          "dominio": "",
          "otrosCampos": "",
          "whereAdicion": "tnod.TPrcId = $(TPrcId)",
          "value": "",
          "validations": {
            "required": false
          },
          "visible": "'$(TSeqTip)' != 'RES'",
          "disabled": false
        }
      ]
    }
  ]
}
